Update an Enablement for an Event Orchestration
Update the feature enablement setting for a specific product addon on an Event Orchestration. This setting controls enabling or disabling the set of features contained within the addon.
Currently, only aiops is supported as a valid feature enablement.
Warning conditions:
- If the account is not entitled to use AIOps features, the setting will be updated, but a warning will be returned.
Scoped OAuth requires: event_orchestrations.write
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of an Event Orchestration.
The feature enablement identifier, typically the name of the product addon. Currently only aiops is supported.
Value in
- "aiops"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Request Body
application/json
The feature enablement setting to apply.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
Update a Cache Variable for a Service Event Orchestration PUT
Update a Cache Variable for a Service Event Orchestration. Cache Variables allow you to store event data on an Event Orchestration, which can then be used in Event Orchestration rules as part of conditions or actions. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#event-orchestrations) Scoped OAuth requires: `services.write`
Update Data for an External Data Cache Variable on a Global Event Orchestration PUT
Update data for an `external_data` type Cache Variable on a Global Event Orchestration Use External Data type Cache Variables to store string, number, or boolean values via a dedicated API endpoint. These stored values can then be used in conditions or actions in Event Orchestration rules. For more information see the [Knowledge Base](https://support.pagerduty.com/main/docs/event-orchestration-cache-variables) Scoped OAuth requires: `event_orchestrations.write`